# sharedFileInfo Struct Reference

`#include <psm.h>`

## Data Fields

int | pkgFileNum
int | otherFileNum
int | otherPkg
int | isRemoved

## Field Documentation

int sharedFileInfo::isRemoved

| Definition at line 18 of file psm.h. Referenced by handleInstInstalledFiles().

int sharedFileInfo::otherFileNum

| Definition at line 16 of file psm.h. Referenced by handleInstInstalledFiles(), and handleRmvdInstalledFiles().

int sharedFileInfo::otherPkg

| Definition at line 17 of file psm.h. Referenced by handleInstInstalledFiles(), handleRmvdInstalledFiles(), and markReplacedFiles().

int sharedFileInfo::pkgFileNum

| Definition at line 15 of file psm.h. Referenced by handleInstInstalledFiles(), and handleRmvdInstalledFiles().

The documentation for this struct was generated from the following file:

- lib/psm.h